#pragma once


#include "Image.h"



template <class T> class ImageRenderer				//Renders an image.
{
public:

				ImageRenderer();		

virtual void	draw(Image<T>&);

void			setDrawColored(bool b)				//Renderers have a color-mapping mode. When disabled, images are rendered
				{  draw_colored = b;  }				//as grayscale. When enabled, images are rendered colored. The semantics depends
													//on the image type as follows:
													//
bool			getDrawColored()					// -1-channel images (e.g. Image<float>): 
				{  return draw_colored; }			//     grayscale:    pixel values are interpreted as luminances
													//     color-mapped: pixel values are mapped to colors using a rainbow colormap
													// -3-channel images (e.g. Image<RGBPixel>):
													//     grayscale:    pixel values are interpreted as luminances
													//     color-mapped: pixel values are directly drawn with their stored RGB colors
protected:

bool			draw_colored;
};

		